package com.google.android.play.core.b;

import android.os.Bundle;
import android.os.Parcel;
import com.bytedance.covode.number.Covode;

public abstract class bw extends bs implements bx {
    static {
        Covode.recordClassIndex(44273);
    }

    public bw() {
        super("com.google.android.play.core.appupdate.protocol.IAppUpdateServiceCallback");
    }

    public final boolean LIZ(int i, Parcel parcel) {
        if (i == 2) {
            LIZ((Bundle) bt.LIZ(parcel, Bundle.CREATOR));
            return true;
        } else if (i != 3) {
            return false;
        } else {
            LIZIZ((Bundle) bt.LIZ(parcel, Bundle.CREATOR));
            return true;
        }
    }
}
